echo off
REM ###########################################################################
REM # platform\visual\setup.bat
REM #
REM # CINT (C/C++ interpreter) installation script for Visual C++ 4.0
REM #
REM ###########################################################################

REM # SET CINTSYSDIR TEMPOLARILLY
SET CINTSYSDIR=C:\CINT

REM # COPY MAKEINFO
del %CINTSYSDIR%\MAKEINFO
del %CINTSYSDIR%\make.bat
copy %CINTSYSDIR%\platform\visual\MAKEINFO %CINTSYSDIR%\MAKEINFO
copy %CINTSYSDIR%\platform\visual\update.bat %CINTSYSDIR%\update.bat

REM # COPY PROJECT FILES
mkdir %CINTSYSDIR%\cint
copy %CINTSYSDIR%\platform\visual\cint.mak %CINTSYSDIR%\cint\cint.mak
copy %CINTSYSDIR%\platform\visual\cint.mdp %CINTSYSDIR%\cint\cint.mdp

mkdir %CINTSYSDIR%\src\libcint
copy %CINTSYSDIR%\platform\visual\src\libcint.mak %CINTSYSDIR%\src\libcint\libcint.mak
copy %CINTSYSDIR%\platform\visual\src\libcint.def %CINTSYSDIR%\src\libcint\libcint.def
copy %CINTSYSDIR%\platform\visual\src\libcint.mdp %CINTSYSDIR%\src\libcint\libcint.mdp

mkdir %CINTSYSDIR%\include\mkincld
copy %CINTSYSDIR%\platform\visual\include\mkincld.mak %CINTSYSDIR%\include\mkincld\mkincld.mak
copy %CINTSYSDIR%\platform\visual\include\mkincld.mdp %CINTSYSDIR%\include\mkincld\mkincld.mdp

REM # BUILD LIBCINT.DLL
cd %CINTSYSDIR%\src\libcint
REM nmake -f libcint.mak clean CFG="libcint - Win32 Release"
nmake -f libcint.mak ALL CFG="libcint - Win32 Release"
del %CINTSYSDIR%\libcint.dll
del %CINTSYSDIR%\libcint.lib
move %CINTSYSDIR%\src\libcint\Release\libcint.dll %CINTSYSDIR%\libcint.dll
move %CINTSYSDIR%\src\libcint\Release\libcint.lib %CINTSYSDIR%\libcint.lib

REM # BUILD CINT.EXE
cd %CINTSYSDIR%\cint
REM nmake -f cint.mak CLEAN CFG="cint - Win32 Release"
nmake -f cint.mak ALL CFG="cint - Win32 Release"
del %CINTSYSDIR%\cint.exe
move %CINTSYSDIR%\cint\Release\cint.exe %CINTSYSDIR%\cint.exe

REM # BUILD AND RUN MKINCLD
cd %CINTSYSDIR%\include\mkincld
REM nmake -f mkincld.mak CLEAN CFG="mkincld - Win32 Release"
nmake -f mkincld.mak ALL CFG="mkincld - Win32 Release"
del %CINTSYSDIR%\include\mkincld.exe
move %CINTSYSDIR%\include\mkincld\Release\mkincld.exe %CINTSYSDIR%\include\mkincld.exe
cd %CINTSYSDIR%\include
mkincld

REM # BUILD MAKECINT
cd %CINTSYSDIR%\platform\visual\tool\makecint
REM nmake -f makecint.mak CLEAN CFG="makecint - Win32 Release"
nmake -f makecint.mak ALL CFG="makecint - Win32 Release"
del %CINTSYSDIR%\makecint.exe
move %CINTSYSDIR%\platform\visual\tool\makecint\Release\makecint.exe %CINTSYSDIR%\makecint.exe

REM # BACK TO THE ORIGINAL DIRECTORY
cd %CINTSYSDIR%\platform\visual

REM # Add environment variables to autoexec.bat
%CINTSYSDIR%\CINT autoexec.c

REM # Compile DLL library (optional)
cd %CINTSYSDIR%\include
%CINTSYSDIR%\CINT makeit.c

cd %CINTSYSDIR%
echo End of CINT installation

